> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipzap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Face-Swap Task



## OpenAPI

````yaml GET /v1/faceswap-opanpai/listbyids
openapi: 3.1.0
info:
  title: ClipZap
  description: ''
  version: 1.0.0
servers:
  - url: https://api.clipzap.ai
    description: 正式环境
security: []
tags:
  - name: Faceswap
paths:
  /v1/faceswap-opanpai/listbyids:
    get:
      tags:
        - Faceswap
      summary: 获取任务详情（支持批量）
      parameters:
        - name: X-ClipZap-Apikey
          in: header
          description: ''
          required: true
          schema:
            type: string
        - name: objectID
          in: query
          description: 任务ID（支持批量，逗号分隔）
          required: true
          schema:
            description: 任务ID（支持批量，逗号分隔）
            format: string
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ourea-api.api.v1.faceswap.GetListByIdsRes'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    ourea-api.api.v1.faceswap.GetListByIdsRes:
      properties:
        list:
          description: 任务列表
          format: '[]*faceswap.ListItemEntity'
          items:
            $ref: '#/components/schemas/ourea-api.api.v1.faceswap.ListItemEntity'
          type: array
      type: object
    ourea-api.api.v1.faceswap.ListItemEntity:
      properties:
        id:
          properties: {}
          type: object
        imageUrl:
          description: 人脸图片地址
          format: string
          type: string
        videoUrl:
          description: 视频地址
          format: string
          type: string
        userId:
          description: 用户ID
          format: uint64
          type: integer
        objectId:
          description: 唯一ID
          format: string
          type: string
        title:
          description: 标题
          format: string
          type: string
        status:
          description: 状态
          format: string
          type: string
        taskId:
          format: string
          type: string
        footageId:
          format: string
          type: string
        videoId:
          format: string
          type: string
        createdAt:
          description: 创建时间
          format: '*gtime.Time'
          type: string
        updatedAt:
          description: 更新时间
          format: '*gtime.Time'
          type: string
        deletedAt:
          description: 删除时间
          format: '*gtime.Time'
          type: string
        publishStatus:
          description: 发布状态（0-未发布;1-已发布）
          format: int
          type: integer
        duration:
          description: 视频时长（毫秒）
          format: uint
          type: integer
        error:
          description: 错误信息
          format: string
          type: string
        Footage:
          $ref: '#/components/schemas/ourea-api.internal.model.entity.Footage'
        Video:
          $ref: '#/components/schemas/ourea-api.internal.model.entity.Video'
      type: object
    ourea-api.internal.model.entity.Footage:
      properties:
        id:
          format: uint
          type: integer
        type:
          format: string
          type: string
        name:
          format: string
          type: string
        card:
          format: string
          type: string
        cardId:
          format: string
          type: string
        workflowId:
          format: string
          type: string
        status:
          format: string
          type: string
        cover:
          description: 封面图片
          format: string
          type: string
        objectId:
          format: string
          type: string
        userId:
          format: uint
          type: integer
        webId:
          format: string
          type: string
        createdAt:
          format: '*gtime.Time'
          type: string
        updatedAt:
          format: '*gtime.Time'
          type: string
        trashedAt:
          format: '*gtime.Time'
          type: string
        removedAt:
          format: '*gtime.Time'
          type: string
        videoQty:
          format: uint
          type: integer
      type: object
    ourea-api.internal.model.entity.Video:
      properties:
        id:
          format: uint64
          type: integer
        userId:
          format: uint64
          type: integer
        objectId:
          format: string
          type: string
        footageId:
          format: string
          type: string
        name:
          format: string
          type: string
        width:
          format: uint
          type: integer
        height:
          format: uint
          type: integer
        size:
          description: 文件大小
          format: uint
          type: integer
        duration:
          description: 视频时长
          format: uint
          type: integer
        suffix:
          format: string
          type: string
        webId:
          description: footage id generated by front-end
          format: string
          type: string
        status:
          format: string
          type: string
        originUrl:
          description: 视频在云端地址
          format: string
          type: string
        videoUrl:
          description: 视频地址
          format: string
          type: string
        coverUrl:
          format: string
          type: string
        audioUrl:
          description: 语音地址
          format: string
          type: string
        avatars:
          description: 视频中脸url list
          format: string
          type: string
        audioText:
          description: 语音文本
          format: string
          type: string
        uploadAt:
          format: '*gtime.Time'
          type: string
      type: object

````